# Poco::MongoDB

# class KillCursorsRequest

Library: MongoDB
Package: MongoDB
Header: Poco/MongoDB/KillCursorsRequest.h

## Description

Class for creating an OP_KILL_CURSORS client request. This request is used to kill cursors, which are still open, returned by query requests.

## Inheritance

Direct Base Classes: RequestMessage

All Base Classes: Message, RequestMessage

## Member Summary

Member Functions: buildRequest, cursors

Inherited Functions: buildRequest, header, messageLength, send

## Constructors

### KillCursorsRequest

KillCursorsRequest();

Creates a KillCursorsRequest.

## Destructor

### ~KillCursorsRequest

virtual ~KillCursorsRequest();

Destroys the KillCursorsRequest.

## Member Functions

### cursors

std::vector < Int64 > & cursors();

The internal list of cursors.

### buildRequest

void buildRequest(
BinaryWriter & writer
);

See also: Poco::MongoDB::RequestMessage::buildRequest()

## Variables

### _cursors

std::vector < Int64 > _cursors;